%define major 0
%define libname %mklibname dmtx %major
%define develname %mklibname -d dmtx

Name:		libdmtx
Version:	0.7.5
Release:	%mkrel 1
Summary:	a library for reading and writing Data Matrix 2D barcodes
Source0:	http://downloads.sourceforge.net/project/libdmtx/libdmtx/0.7.2/%{name}-%{version}.tar.xz
Patch0:		libdmtx-0.7.5-c99.patch
Patch1:		libdmtx-0.7.5-size_t.patch
Patch2:		libdmtx-0.7.5-math.patch
Group:		Development/C++
License: 	GPLv2
URL:		http://www.libdmtx.org
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: imagemagick-devel
BuildRoot: 	%{_tmppath}/%{name}-root

%description
libdmtx is open source software for reading and writing Data Matrix 2D barcodes
on Linux and Unix. At its core libdmtx is a shared library, allowing C/C++
programs to use its capabilities without restrictions or overhead.

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS KNOWNBUG

#-------------------------------------------------------------------------------

%package -n %libname
Group: System/Libraries
Summary: %{name} library package

%description -n %libname
%summary.

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*
%{_mandir}/man3/%{name}*
#-------------------------------------------------------------------------------

%package -n %develname
Group: Development/Libraries
Summary: %{name} developement files
Provides: %{name}-devel = %version-%release
Requires: %libname

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%files -n %develname
%defattr(-,root,root)
%{_includedir}/dmtx.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-------------------------------------------------------------------------------

%package utils
Group: Development/Libraries
Summary: command line tools for %{name}
Requires: %libname

%description utils
This package contains command line tools (dmtxread, dmtxwrite and dmtxquery)
to test %{name} and to learn its behavior.

%files utils
%defattr(-,root,root)
#empty but provide for backwards compatibility
#-------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall

# don't ship .la
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%changelog
* Wed Jun 16 2021 tex - 0.7.5-1pclos2021
- new version

* Fri Oct 18 2019 tex - 0.7.4-2pclos2019
- rebuild against updates

* Mon May 09 2016 bb <bb. 0.7.4-1pclos2016
- update for new imagemagick

* Tue Nov 05 2013 billybot <billybot> 0.7.2-2pclos2013
- update for new pcre

* Sat Jan 23 2011 Texstar <texstar at gmail.com> 0.7.2-1pclos2011
- import into pclos

